## org.eclipse.m2m.atl.core.ui.vm.debug
Class NetworkDebugger.Command

    java.lang.Object
      org.eclipse.m2m.atl.core.ui.vm.debug.NetworkDebugger.Command

Enclosing class:
  NetworkDebugger

    protected abstract class NetworkDebugger.Command

extends java.lang.Object

A debugger command.

Constructor Summary
`NetworkDebugger.Command(int cmd, java.lang.String description)` Creates a new command.

Method Summary
`abstract boolean` `doIt(ADWPCommand cmd, StackFrame frame)` Performs the command's action and returns `true` if the program should be resumed.
`java.lang.String` `getDescription()` Returns the command description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkDebugger.Command

    public NetworkDebugger.Command(int cmd,
                                   java.lang.String description)

  Creates a new command.

  Parameters:
    `cmd` - the command id
    `description` - the command description

Method Detail

### doIt

    public abstract boolean doIt(ADWPCommand cmd,
                                 StackFrame frame)

  Performs the command's action and returns `true` if the program should be resumed.

  Parameters:
    `cmd` - the command
    `frame` - the frame
  Returns:
    returns `true` if the program should be resumed.

### getDescription

    public java.lang.String getDescription()

  Returns the command description.

  Returns:
    the command description

Copyright 2007 IBM Corporation and others. All Rights Reserved.